/* Reset some default browser styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary-color: #f6f6f6;
    --primary-text-color: #333;
    --secondary-color: #ff7722;
    --border-color: #ccc;
    --accent-color: rgb(161, 233, 255);
    --accent-color-hover: rgb(250, 93, 41);
    --padding-inline-sections: 20px;
}

/* Body styles */
body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    background-color: var(--primary-color);
    color: var(--primary-text-color);
    font-family: "Anek Gujarati", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.5rem;
}

p {
    font-size: 1rem;
    color: var(--primary-text-color);
    line-height: 1.8rem;
}

a {
    color: var(--primary-text-color);
    text-decoration: none;
    display: inline-block;
}
header{
    position: fixed;
    top: 0;
    background-color: var(--primary-color);
    width: 100%;
}

.container {
    max-width: 1180px;
    margin: auto;
    overflow: hidden;
    padding: 0 2rem;
}

.hamburger {
    display: none;
    font-size: 30px;
    color: var(--primary-text-color);
    cursor: pointer;
    justify-self: right;
}

.flex {
    display: flex;
    align-items: center;
}

.flex-left {
    display: flex;
    align-items: start;
}

.flex-coloumn {
    flex-direction: column;
}

.flex-left-margin-2rem {
    margin-left: 1rem;
}

.flex-top {
    align-items: flex-start;
}
.w600{
    font-size: 1.5rem;
    font-weight: 600;
}
.form-label{
    font-size: 1.1rem;
    font-weight: 400;
    padding: 0.4rem 0;
}

.btn {
    padding: 10px 35px;
    background-color: var(--secondary-color);
    color: white;
    margin-bottom: 1rem;
}
.btn-round{
    border-radius: 100px;
}
.btn:hover {
    background-color: var(--accent-color-hover);
    color: var(--primary-color);
}

.hover-link {
    color: var(--primary-text-color);
    font-size: 1.2rem;
}

.hover-link:hover {
    color: var(--accent-color-hover);
    transform: 0.2s ease-out;
}

ul {
    list-style: none;
}

.main-nav {
    margin-top: 20px;
    margin-bottom: 20px;
    justify-content: space-between;
}

.main-nav ul {
    justify-content: center;
    gap: 40px;
}

.banner-text {
    width: 30%;
}

.top-round-border {
    border: var(--border-color) solid 1px;
    border-radius: 1rem;
    margin-top: 20px;
    height: fit-content;
}
.round-border{
    border-radius: 50%;
}
.width-100{
    width: 100%;
}

.news-text {
    background-color: var(--secondary-color);
    width: 100%;
    margin-top: 0%;
    overflow: hidden;
    padding: 10px;
    border-radius: 1rem 1rem 0 0;
    margin-bottom: 1.5rem;
}

.news-heading{
    border-radius: 1rem;
    background-color: white;
}

.news-text a{
    color: white;
}

.notification-area {
    margin-bottom: 20px;
}

.news {
    border: none;
    box-shadow: var(--primary-text-color) 1px 2px 15px 0px;
    width: 50%;
    height: 32rem;
    overflow: scroll;
    scroll-behavior: smooth;
    scrollbar-width: none;
}

.news-sub-text {
    padding: 10px 20px;
    text-align: justify;
}

/* Footer styles */
footer {
    background: linear-gradient(to bottom, #ffb384 0%, #f6f6f6 100%);
    color: #fff;
    text-align: center;
    padding-inline: var(--padding-inline-sections);
}

.banner-image-text {
    width: auto;
    background-image: url(../img/Web-Banner.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    padding: 100px 0px;
}

.banner-text {
    margin-top: 20px;

}

.logo-image {
    width: 150px;
    height: 150px;
    margin-right: 20px;
}

.seva-image {
    width: 10rem;
    height: 10rem;
    justify-self: center;
    border-radius: 50%;
}

.mahaprasad {
    border: none;
    box-shadow: var(--primary-text-color) 1px 2px 15px 0px;
    background-color: white;
    width: 25%;
    justify-items: center;
    height: 32rem;
}

.seva-service {
    border: none;
    box-shadow: var(--primary-text-color) 1px 2px 15px 0px;
    background-color: white;
    width: 25%;
    justify-items: center;
    height: 32rem;
}
.msg-success{
    text-align: center;
    background: #60ee60;
    padding: 5px 0;
    border-radius: 10px;
}

.btn-view {
    color: white;
    background-color: var(--secondary-color);
    border-radius: 1rem 0 0 1rem;
}

.btn-book {
    color: white;
    background-color: var(--secondary-color);
    border-radius: 0 1rem 1rem 0;
}

.btn-view:hover {
    border: var(--primary-color) solid 1px;
    background-color: var(--accent-color-hover);
    color: var(--primary-color);
}

.btn-book:hover {
    border: var(--primary-color) solid 1px;
    background-color: var(--accent-color-hover);
    color: var(--primary-color);
}
.services{
    margin: 10px 0;
    background-color: var(--secondary-color);
    text-align: center;
    padding: 2rem;
}
.services .title{
    color: white;
}
.service-container{
    padding: 20px 0 ;
    justify-content: space-between;
}
.seva-mahaprasad, .seva-bird, .seva-water-pots, .seva-dogs {
    background-color: white;
    width: 18%;
    height: 30rem;
    border: var(--primary-text-color) solid 1px;
    border-radius: 90px;
    padding: 22px 0px 12px 12px;
    margin: 0.5rem;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    text-align-last: center;
    justify-content: space-between;
}
.service-su{
    justify-items: center;
}
.footer-text{
    color: black;
    margin-top: 1rem;
}
.footer-section{
    padding: 20px 0;
    background-image: lenear-gradient(to right, #ff7722, #ff7722);
    color: var(--primary-color);
    flex-direction: column;
}
.tagline{
    font-size: 0.8rem;
    font-weight: 300;
    margin-top: 1rem;
    color: rgb(255, 0, 0);
    text-align: center;
}
.quick-links{
    font-size: 1rem;
    font-weight: 600;
    margin-top: 1rem;
    color: black;
}
.quick-links-list{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    margin: 0 1rem;
}
.quick-link{
    width: auto;
    height: auto;
    padding: 10px;
    color: black;
    border-radius: 1rem;
    margin-top: 0.3rem;
}
.quick-link:hover{
    background-color: var(--accent-color-hover);
    color: white;
    cursor: pointer;
}
.copyrights-text{
    color: black;
    margin-top: 1rem;
}
.main-text{
justify-self: center;
margin: 20px 0;
}
.prasad-text{
    font-size: 1.3rem;
    font-weight: 600;
}
.saturday-table{
    overflow: scroll;
    scrollbar-width: none;
}
.note-section{
    width: 100%;
    height: auto;
    margin-bottom: 2rem;
}
/* TABLE DESIGN */
table{ 
    border-spacing: 1;
    border-collapse: collapse;
    background: white;
    border-radius: 6px;
    overflow: hidden;
    min-width: 600px;
    width: 100%;
    margin: 1rem auto;
    /* position: relative; */
    
    td,th{ 
        border-bottom: 0.5px solid rgb(213, 213, 213);
        padding-left:8px
    }
  
    thead tr{ 
      height:60px;
      background: #ff7722;

      color: white;
      font-size:16px;
    }
    
    tbody tr        { height:48px; border-right: var(--primary-text-color) solid 1px;
      &:last-child  { border:0; }
    }
    
       td,th 					{ text-align:left;
          &.l 					{ text-align:right }
          &.c 					{ text-align:center }
          &.r 					{ text-align:center }
      }
  }
/* END TABLE DESIGN   */

.saturday-wait-list-table{
    height: 32rem;
    overflow: scroll;
    scrollbar-width: none;
    margin-bottom: 2rem;
}

.form-group{
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 1rem;
}
.contact-form{
    width: 50%;
    height: auto;
    padding: 20px;
    border: var(--primary-text-color) solid 1px;
    border-radius: 1rem;
    margin-top: 1rem;
    margin-bottom: 2rem;
}
.txt-label{
    margin-top: 0.5rem;
}
.form-control{
    height: 2rem;
    width: 100%;
    padding: 10px;
    margin-top: 0.5rem;
    border-radius: 10px;
    font-family: "Anek Gujarati", serif;
    font-size: 1rem;
}
.form-textarea{
    width: 100%;
    height: 5rem;
    border: var(--primary-text-color) solid 1px;
    border-radius: 10px;
    font-family: "Anek Gujarati", serif;
}
.btn-submit{
    padding: 10px 35px;
    background-color: var(--secondary-color);
    color: var(--primary-text-color);
    margin-bottom: 1rem;
    border-radius: 1rem;
    margin-top: 1rem;
    width: 100%;
    border: none;
    font-family: "Anek Gujarati", serif;
    font-size: 1rem;
    font-weight:600;
}
.btn-submit:hover{
    background-color: var(--accent-color-hover);
    color: var(--primary-color);
    cursor: pointer;;
}
.contact-details{
    width: 50%;
    height: auto;
    padding: 20px;
    margin-top: 1rem;
    margin-left: 1rem;
    margin-bottom: 2rem;
    padding: 0rem 5rem;
}
.location-name{
    font-size: 1.2rem;
    font-weight: 600;
    margin: 1rem 0;
}
.social-media{
    margin-top: 1rem;
    display: flex;
    justify-content: space-evenly;
    width: 80%;
    font-size: 1.5rem;
}
.round-icon{
    height: 50px;
    width: 50px;
    border-radius: 50%;
    border: var(--primary-text-color) solid 1px;
    justify-self: center;
    padding-top: 5px;
    place-content: center;
    text-align: center;
}
.round-icon:hover{
    background-color: var(--accent-color-hover);
    border: none;
    color: var(--primary-color);
    cursor: pointer;
}
.map{
    width: 100%;
    height: 100%;
    margin-top: 1rem;
    border-radius: 1rem;
    margin-bottom: 2rem;
}
.member-list{
    display: flex;
    flex-direction: row;
    width: 80%;
    margin: 0 2rem;
    justify-self:center ;
}
.aarti-time{
    width: 50%;
    height: 10rem;
    margin: 0 2rem;
}
.temple-details{
    display: flex;
    flex-direction: row;
    width: 100%;
    margin: 2rem 0;
    border-radius: 50px;
    padding-top: 10px;
    align-items: center;
}
.temple-image{
    height: 10%;
    border-radius: 10%;
}
.temple-image img{
    height: 250px;
    border-radius: 50%;
    width: 260px;
    border: var(--primary-color) solid 12px;
}
.temple-image img:hover{
    border: var(--accent-color-hover) solid 12px;
}
.about-temple{
    text-align: justify;
    width: 80%;
    height: auto;
    margin: 2rem -2rem;
    padding: 20px 20px 20px 50px;
    border-radius: 20px;
    z-index: -1;
    background-color: var(--border-color);
}
.p-right-20{
    padding: 20px 40px 20px 20px;
}
.margin-0{
    margin: 0;
}
.booking-container{
    height: auto;
    width: 80%;
    background-color: white;
    border-radius: 50px;
    margin: 2rem 0;
    justify-self: center;
    display: flex;
    padding: 1rem 0rem;
    flex-direction: row;
    box-shadow: var(--primary-text-color) 7px 7px 20px 0px;
}
.booking-image{
    width: 40%;
    align-content: center;
    text-align: center;
}
.booking-image img{
    width: 70%;
    height: auto;
    padding: 0 2rem;
}
.booking-form{
    width: 50%;
    padding: 0 2rem;
    place-self: center;
}
.booking-form form{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: center;
    margin: 1rem 0;
}
form label, input{
    margin: 0.2rem 0;
}
.form-input{
    width: 100%;
    padding: 10px;
    border-radius: 10px;
    font-family: "Anek Gujarati", serif;
    font-size: 1rem;
    border: var(--primary-text-color) solid 1px;
    border-style: groove;
}
.btn-submit{
    width: 100%;
    margin: 1rem 0;
    border-radius: 10px;
    border: none;
}
/* IMAGE GALLERY  */

.gallery {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: auto;
    grid-auto-flow: dense;
    gap: 6px;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

img.four-grid-cells {
    grid-row: span 2 / auto;
    grid-column: span 2 / auto;
}

img.wide-image {
    grid-column: span 2 / auto;
}

@media (min-width: 540px) {
    .header-logo{
        display: none;
    }
    .header-h4{
        display: none;
    }
}

/* Responsive 768px */
@media (max-width: 768px) {
    
    .flex {
        flex-direction: column;
        align-items: center;
    }
    .nav-links {
        display: none;
        width: 100%;
        flex-direction: column;
        align-items: center;
        background-color: var(--primary-text-color);
        position: absolute;
        top: 60px;
        left: 0;
        padding: 10px 0;
    }

    .nav-links ul {
        gap: 10px;
    }

    .nav-links.active {
        display: flex;
    }

    .hover-link {
        color: var(--primary-color);
    }

    .hamburger {
        display: block;
    }

    .banner-image-text {
        height: 300px;
        background-image: url(../img/Web-Banner.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: -28rem;
    }

    .logo-image {
        width: 100px;
        height: 100px;
        margin-right: 20px;
    }

    .banner-text {
        width: 80%;
    }
    .mahaprasad,.seva-service {
        width: 100%;
        justify-items: center;
        height: auto;
    }
    .news {
        width: 100%;
        justify-items: center;
        height: 20rem;
    }
    .note-section{
        height: auto;
    }
    .contact-form{
        width: 100%;
        align-items: flex-start;
    }
    .contact-details{
        width: 100%;
        align-items: flex-start;
        padding: 0;
    }
    .social-media{
        width: 100%;
        justify-content: space-evenly;
    }
    .aarti-time{
        margin: 1rem;
        width: 100%;
    }
    .next-saturday{
        overflow: scroll;
        scrollbar-width: none;
    }
    /* IMAGE GALLERY */
    .gallery {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-auto-rows: auto;
        grid-auto-flow: dense;
        gap: 6px;
        column-gap: normal;
    }
}

/* Responsive 820px */
@media (max-width: 820px) {
    
    .nav-links {
        display: none;
        width: 100%;
        flex-direction: column;
        align-items: center;
        background-color: var(--primary-text-color);
        position: absolute;
        top: 60px;
        left: 0;
        padding: 10px 0;
    }
    .nav-links.active {
        display: flex;
    }

    .hover-link {
        color: var(--primary-color);
    }

    .main-nav ul {
        gap: 30px;
    }

    .hamburger {
        display: block;
    }
    .banner-text {
        width: 90%;
    }
    .mahaprasad{
        width: 100%;
        justify-items: center;
        height: auto;
        justify-self: center;
    }
    .seva-service {
        width: 100%;
        justify-items: center;
        height: auto;
        justify-self: center;
    }
    .news {
        width: 100%;
        justify-items: center;
        height: 20rem;
    }
    .section-notification{
        flex-direction: column;
        justify-items: center;
    }
    .seva-mahaprasad, .seva-bird, .seva-water-pots, .seva-dogs{
        flex-direction: column;
        width: 100%;
        height: 25rem;
        border-radius: 39px;
        margin: 0.5rem 0;
    }
    .note-section{
        height: auto;
    }
    .temple-details
    {
        flex-direction: column;
        margin-bottom: 10rem;
    }
    .temple-image img:hover{
        border: var(--accent-color-hover) solid 12px;
    }
    .about-temple {
        width: 100%;
        height: auto;
        margin: -4rem 0rem;
        padding: 70px 17px 20px 20px;
    }
    .flex-reverse{
        flex-direction: column-reverse;
    }
    .booking-container{
  
        flex-direction: column;
    }
    .booking-image{
        width: 100%;
    }
    .booking-image img{
        width: 100%;
    
    }
    .booking-form{
        width: 100%;
    }
}

/* Responsive 912px */
@media (max-width: 912px) {
    
    .nav-links {
        display: none;
        width: 100%;
        flex-direction: column;
        align-items: center;
        background-color: var(--primary-text-color);
        position: absolute;
        top: 60px;
        left: 0;
        padding: 10px 0;
    }

    .nav-links.active {
        display: flex;
    }

    .hover-link {
        color: var(--primary-color);
    }

    .main-nav ul {
        gap: 30px;
    }

    .hamburger {
        display: block;
    }
    .banner-text {
        width: 40%;
    }
    .mahaprasad{
        width: 100%;
        justify-items: center;
        height: 32rem;
    }
    .seva-service {
        width: 100%;
        justify-items: center;
        height: 32rem;
    }
    .news {
        width: 100%;
        justify-items: center;
        height: 32rem;
    }
    .seva-mahaprasad, .seva-bird, .seva-water-pots, .seva-dogs {
    width: 100%;
    }
    .note-section{
        height: auto;
    }

}

/* Responsive 1024px */
@media (max-width: 1024px) {
    
    .seva-mahaprasad, .seva-bird, .seva-water-pots, .seva-dogs {
        width: 100%;
        }
        .mahaprasad{
            width: 100%;
            justify-items: center;
            height: fit-content;
        }
        .seva-service {
            width: 100%;
            justify-items: center;
            height: fit-content;
        }
        .news {
            width: 100%;
            justify-items: center;
            height: fit-content;
        }
}

/* Responsive 540px */
@media (max-width: 540px) {
    .header-logo{
        float: left;
        width: 50px;
        height: auto;
    }
    .header-h4{
        float: left;
        margin-left: 10px;
        margin-top: 15px;
    }

    .banner-container {
        margin-top: -8rem;
        flex-direction: row;
    }

    .banner-text {
        width: 55%;
        font-size: 1rem;
        text-shadow: var(--primary-color) 3px 2px 6px;;
    }
    .logo-image {
        width: 70px;
        height: 70px;
        margin-right: 20px;
    }
    .banner-image-text{
        text-align: center;
        margin-top: 0;
        background-size: cover;
    }
    .note-section{
        height: auto;
    }
}
